Subject: Re: bug#17660: 24.3; gnutls-min-prime-bits is 256

From: Ted Zlatanov <[email-masked]>
Date: Thu, 05 Jun 2014 10:30:53 -0400

On Sun, 01 Jun 2014 15:23:49 +0200 Juliusz Chroboczek <[email-masked]> wrote: 

JC> In gnutls.el, I see
JC>   (defcustom gnutls-min-prime-bits 256
JC>      ...)

JC> This uses 256 bits for Diffie-Helman rather than the gnutls default, which
JC> seems awfully low to me.

JC> It looks like this was lowered due to bug#11267.  I suggest that it really
JC> should be set to a reasonable value.

Please read through bug#11267 and bug#15057. The recommended solution
from the GnuTLS maintainer was to avoid the DH exchange that requires
`gnutls-min-prime-bits' altogether.  So the proper fix seems to be to
change the default for `gnutls-algorithm-priority' but that may break
some people's setups (just like raising `gnutls-min-prime-bits' would).

Ted